<template>
  <div>
    <div class="container mt-3">
      <div class="panel panel-primary">
        <div class="panel-heading row">
          <h2 class="col-2">Companies</h2>
          <div class="col-3">
            <router-link
              to="/companies/add"
              class="btn btn-warning pull-right my-1"
              >Add Company</router-link
            >
          </div>
        </div>
        <div class="panel-body">
          <table class="table">
            <thead>
              <tr>
                <th>ID</th>
                <th>State Abbreviation</th>
                <th>Name</th>
                <th>CNPJ</th>
                <th>Actions</th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="company in companies" :key="company.id">
                <td>{{ company.id }}</td>
                <td>{{ company.state_abbr }}</td>
                <td>{{ company.name }}</td>
                <td>{{ company.CNPJ }}</td>
                <td>
                  <div class="btn-group" role="group">
                    <router-link
                      :to="{ name: 'updateCompany', params: { id: company.id } }"
                      class="btn btn-primary mx-2 rounded"
                      >Edit</router-link
                    >
                    <button
                      class="btn btn-danger rounded"
                      @click="deleteCompany(company.id)"
                    >
                      Delete
                    </button>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      suppliers: [],
      companies: [],
    };
  },
  created() {
    this.axios.get("http://localhost/api/companies").then((response) => {
      this.companies = response.data.data;
    });
  },
  methods: {
    deleteCompany(id) {
      this.axios
        .delete(`http://localhost/api/companies/${id}`)
        .then((response) => {
          let i = this.companies.map((data) => data.id).indexOf(id);
          this.companies.splice(i, 1);
        });
    },
  },
};
</script>
